<template>
  <div class="PoiceMessage">
    <header-top>
      <span slot="Bigtitle">政策文件</span>
    </header-top>
    <div class="context">
      <van-tabs v-model="active">
        <van-tab title="分类">
          <work :classifylist="classifylist" ></work>
        </van-tab>
        <van-tab title="文件列表">
          <card :poicefilelist="poicefilelist"></card>
          <!-- <card-item :poicefilelist="poicefilelist"></card-item> -->
        </van-tab>
      </van-tabs>
    </div>
  </div>
</template>

<script>
// 引入header组件
import HeaderTop from "../../components/header/header.vue";
// 引入分类组件
import work from "./children/work.vue";
// 引入文件列表组件
// import CardItem from "../../components/carditem/carditem.vue";
import Card from '../../components/carditem/card.vue'

// 导入方法文件
import { getpoicefile } from "../../network/poicefile";
import { getclassify } from "../../network/classify";

export default {
  name: "PoiceMessage",
  components: {
    HeaderTop,
    work,
    // CardItem,
    Card,
  },
  data() {
    return {
      active: 0,
      // 政策文件列表
      poicefilelist: [],
      // 分类信息列表 一级
      classifylist:[],
      // 二级分类列表
      // classifyNEXTlist:[]
    };
  },

  created() {
    // 获取所有政策文件信息
    this.getpoicefile();
    // 获取所有分类信息 一级分类
    this.getclassify();
  },
  methods: {
    // 获取所有政策文件信息
    getpoicefile() {
      getpoicefile("", 0, 12).then((res) => {
        console.log(res);
        this.poicefilelist.push(...res.data.data);
        // console.log("file+" + this.poicefilelist);
      });
    },
    // 获取所有分类信息 一级分类 
    getclassify(){
      getclassify('','true',).then((res)=>{
        console.log(res);
        this.classifylist.push(...res.data)
      })
      // 二级分类
    //   getclassify('','true',2).then((res)=>{
    //     console.log(res);
    //     this.classifyNEXTlist.push(...res.data)
    //   })
    // }
    }

  },
};
</script>

<style scoped>


.context {
  width: 90%;
  margin: 0 auto;
}
/deep/ .van-tabs__line {
  background-color: #1677ff;
}
.span.van-tab__text.van-tab__text--ellipsis {
  font-size: 16px;
}
/deep/.van-tabs__nav--line {
  width: 100%;
}
/deep/.van-tab {
  color: rgb(51, 51, 51);
  font-size: 16px;
  font-weight: bold;
}
/deep/.van-tabs__nav--line {
  width: 45%;
}
/deep/.van-tabs__nav {
  background-color: rgba(247, 247, 247, 1);
}
</style>